from fireworks.core.firework import FiretaskBase, FWAction
from fireworks.utilities.fw_utilities import explicit_serialize

@explicit_serialize
class DataLoaderTask(FiretaskBase):
    """ Sample solution for a data loader """

    _fw_name = 'DataLoaderTask'
    required_params = ['filename', 'outputs']
    optional_params = []

    def run_task(self, fw_spec):
        import json
        with open(self['filename'], 'r') as inp:
            data = json.load(inp)

        return FWAction(update_spec={self['outputs']: data})
