from fireworks import Workflow, LaunchPad
import sys

fw_ids = None
detour = False
pull_spec_mods = True

for arg in sys.argv:
    if '--help' in arg:
        print('usage: '+sys.argv[0]+' --fw_ids=<comma-separated list>'
              +' <workflow file>')
    if '--fw_ids' in arg:
        fw_ids = arg.split('=')[1].split(',')
        fw_ids = [int(fw_id.strip()) for fw_id in fw_ids]
    if '--detour' in arg:
        detour = True
    if '--no_pull_spec_mods' in arg:
        pull_spec_mods = False

if fw_ids is not None:
    wflow = Workflow.from_file(sys.argv[-1])
    launchpad = LaunchPad()
    launchpad.append_wf(wflow, fw_ids, 
                        detour=detour, pull_spec_mods=pull_spec_mods)
